<!-- initiate Romulan cloaking device

//-------------------- Library of Utility Function -------------------------
//               by Carl Paulson      Cognitive Portals
//                http://members.tripod.com/~SleepyCP/
//                          cpaulson@home.com
//--------------------------------------------------------------------------

//----------------------- isIn() Utility Function --------------------------
//  Use: isIn(Arg1,Arg2) is a Boolean function that returns "true" if
//       Arg1 is a substring of Arg2 and false any other time.  It is
//       intended to be used in conditional statements.
//  Ex.: if   (isIn(x,y)) { statement block if true }
//       else             { statement block if false}
//  Notes:
//    1  Arg1 & Arg2 are always treated as strings in the routine.
//    2  Case is ignored in the check.
//--------------------------------------------------------------------------

    function isIn(foo1, foo2) {
        foo1In = "" + foo1.toLowerCase();
        foo2In = "" + foo2.toLowerCase();
        if (foo1In == "") {
            alert("You have entered an empty sting for the substring."
                +"\nThe function \'isIn\' takes 2 arguments.\n"
                +"    Argument 1 is the substring, and\n"
                +"    Argument 2 is the string.");
            return false;
            }
        if (foo2In == "") {
            alert("You have entered an empty sting for the string."
                +"\nThe function \'isIn\' takes 2 arguments.\n"
                +"    Argument 1 is the substring, and\n"
                +"    Argument 2 is the string.");
            return false;
            }
        foo1Length = foo1In.length;
        foo2Length = foo2In.length;
        if (foo1Length > foo2Length) return false;
        endPoint  = foo2Length - foo1Length + 1;
        for (var i = 0; i < endPoint; i++) {
            var jj = true;
            for (var j = 0; j < foo1Length; j++) {
                if (foo1In[j] != foo2In[i + j]) {
                    jj = false;
                    break;
                    }
                }
            if (jj) break;  // if still true the last attempt succeeded
            }
        return jj;
    }

//---------------------- isNum() Utility Function --------------------------
//  Use: isNum(Arg) is a Boolean function that returns "true" if
//       Arg is a number and false if not.
//
//  Ex.: if   (isNum(x)) { statement block if true }
//       else            { statement block if false}
//  Notes:
//    1  x is input as a string in the routine.
//    2  The built in function "isNan()" is only defined on UNIX platforms.
//    3  Only use for integers. (ie The decimal in a floating point number
//       evaluates as false.  Similar statement for E format numbers.) 
//    4  White-space is not ignored. (ie Spaces evaluate to false)
//--------------------------------------------------------------------------

    function isNum(foo) {
        fooIn = "" + foo;
        if (fooIn == "") {
            alert("You have entered an empty string to check.");
            return false;
            }
        fooLength = fooIn.length;
        jj = true;
        for (var i = 0; i < fooLength; i++) {
            fooN = fooIn[i] - 0;
            if (!((fooN <= 9)&&(fooN >= 0))) jj = false;
            }
        return jj;
        }

//-------------------- isLetter()  Utility Function ------------------------
//  Use: isLetter(Arg) is a Boolean function that returns "true" if
//       Arg is an alpahbetic and false if not.
//
//  Ex.: if   (isLetter(x)) { statement block if true }
//       else               { statement block if false}
//  Notes:
//    1  White-space is not ignored. (ie Spaces evaluate to false)
//--------------------------------------------------------------------------

    function isLetter(foo) {
        fooIn = "" + foo.toLowerCase();
        if (fooIn == "") {
            alert("You have entered an empty sting for the substring.");
            return false;
            }
        fooLength = fooIn.length;
        jj = true;
        for (var i = 0; i < fooLength; i++) {
            fooN = fooIn[i];
            if (!((fooN <= "z")&&(fooN >= "a"))) jj = false;
            }
        return jj;
        }

//--------------------- isAlpha() Utility Function -------------------------
//  Use: isAlpha(Arg) is a Boolean function that returns "true" if
//       Arg is alpahbetic-numeric and false if not.
//
//  Ex.: if   (isAlpha(x)) { statement block if true }
//       else              { statement block if false}
//  Notes:
//    1  White-space is not ignored. (ie Spaces evaluate to false)
//--------------------------------------------------------------------------

    function isAlpha(foo) {
        fooIn = "" + foo.toLowerCase();
        if (fooIn == "") {
            alert("You have entered an empty sting for the substring.");
            return false;
            }
        fooLength = fooIn.length;
        jj = true;
        for (var i = 0; i < fooLength; i++) {
            fooN = fooIn[i];
            if ((!((fooN <= "z")&&(fooN >= "a")))&&(!((fooN <= 9)&&(fooN >= 0))))
                jj = false;
            }
        return jj;
        }

//--------------------------------------------------------------------------

//  deactivate cloaking -->
